package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag971;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT971Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator.MT971AbsCreator;

import java.util.List;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class TagCycleCreator extends AbsTagCreate {

     private MT971Creator mt971Creator;

    public TagCycleCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt971Creator= (MT971Creator) absMTCreator;
    }


    public  void creator()
    {
        List<MT971AbsCreator> tagList=mt971Creator.getCycleDomain();
        for (MT971AbsCreator abs971:tagList) {
            mt971Creator.set("25",abs971.getAccountIdentifi());
            mt971Creator.set("62"+abs971.getDcDateCurAmt62F().getTagResult().getTagEnd(),abs971.getDcDateCurAmt62F().getTagResult().getValue());
        }


    }
}
